# Ansible Role: Tor Onion Service

## Required Variables

```yaml
onion_service_container_name: onion_service
onion_service_virtual_port: 80
onion_service_target: 1.2.3.4:8080
onion_service_non_anonymous_single_hop_mode: 0 # or 1
onion_service_network_name: webserver
```

## Optional Variables

```yaml
onion_service_container_image: docker.io/fphammerle/onion-service@sha256:9cfc001d0c641fa8e58b67fccb766459dc16ee05e55ce756ee278ce3d5c46224
onion_service_container_state: started
```

## Returned Variables

```
onion_service_address
```
